Subject: bug#66255: 29.1; package-generate-autoloads utf-8-emacs-unix coding and git on windows breaks

From: Arash Esbati <[email-masked]>
Date: Thu, 28 Sep 2023 15:24:23 +0200

Robert <[email-masked]> writes:

> This used to work in emacs 28.2.  There, the coding system of the autoload
> files was set to utf-8.
>
> A workaround is to set git config core.autocrlf false in the .emacs.d
> repository on windows.  This however is hard to discover.
>
> If feasible, I suggest to make the default coding system in the
> autoloads utf-8 as it used to be.

IIRC, this change was introduced to fix bug#53529[1].  I'm not sure if
reverting this change is a good idea, but I'm not an expert on this.

Best, Arash

Footnotes:
[1]  https://lists.gnu.org/archive/html/bug-gnu-emacs/2022-01/msg01721.html